.serialize_lf <- function(x) {
  .toVector <- function(x) {
    val <- unlist(as.data.frame(x))
    names(val) <- paste(rep(colnames(x), each = nrow(x)), rownames(x), sep = ".")

    return(val)
  }


  val <- .toVector(x$values)
  rp <- x$return.period
  rp <- .toVector(rp[, setdiff(colnames(rp), "day")])
  names(rp) <- paste("rp", names(rp), sep = ".")

  att <- attr(x, "lf")
  time <- data.frame(start = att$time[1], end = att$time[2])

  perc.missing <- att$data.coverage

  data.frame(as.list(c(val, rp)),
             threshold = 100 * (1- att$prob), threshold.value = att$threshold,
             time, perc.missing,
             unterminated = att$unterminated)
}

# res.csv <- cbind(gauge, do.call(rbind, lapply(result, serialize_lf)))
# write.csv2(res.csv, file = "results_austria.csv", row.names = FALSE)


