\name{melt_country}
\alias{melt_country}

\title{
Reshapes a result file into long format
}
\description{
Reshapes a result file into long format in order to plot it.
}
\usage{
melt_country(x)
}

\arguments{
  \item{x}{an object of class hpt}
}
\value{a data.frame containing the results in long format}

\seealso{\code{\link{plot_drought}}}

\examples{
data("resultAT")

df <- melt_country(resultAT)
head(df)
}
