\name{plot_ts}
\alias{plot_ts}

\title{
Plotting of time series
}
\description{
Conveniently plot the discharges for a station for several periods: 2015, 2003 and the reference period. As the observed discharges are not stored in an hpt object, a separate argument \code{data} is required.
}
\usage{
plot_ts(data, meta = compare_lf(data))
}

\arguments{
  \item{data}{the xts-object of discharges. Possibly the result of \code{\link{import}}}.
  \item{meta}{the result of \code{compare_lf(data)}, which is possibly already cached. Needed for period specification and threshold.}
}
\value{A time series plot for 2015, 2003 and the reference period.}
\seealso{\code{\link{compare_lf}}}
\examples{
example <- "will follow"
}
